Page MenuHomePhabricator

WikiArticleFeeds extension calls Article::getContent() which is deprecated
Closed, ResolvedPublic

Description

The file WikiArticleFeeds_body.php calls Article::getContent(), which is a deprecated function.

$content = $wgOut->parse( $article->getContent() . "\n__NOEDITSECTION__ __NOTOC__" );

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 27 2016, 8:51 PM
Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptDec 28 2016, 9:21 PM
Reedy added a subscriber: Reedy.Jan 1 2017, 3:56 PM

Fine with this being assigned to me as a mentor

Change 330150 had a related patch set uploaded (by LukBukkit):
Replace Article::getContent() usage with WikiPage::getContent()

https://gerrit.wikimedia.org/r/330150

Change 330150 merged by jenkins-bot:
Replace Article::getContent() usage with WikiPage::getContent()

https://gerrit.wikimedia.org/r/330150

MtDu closed this task as Resolved.Jan 5 2017, 5:05 AM
MtDu assigned this task to LukBukkit.
MtDu added a subscriber: MtDu.

Patch has been merged. Hence closing as resolved. Thanks!